--- old/usr/src/cmd/sendmail/include/libmilter/mfdef.h	Sat Feb  6 15:36:30 2016
+++ new/usr/src/cmd/sendmail/include/libmilter/mfdef.h	Sat Feb  6 15:36:30 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1999-2007 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1999-2007 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,15 +7,15 @@
  * the sendmail distribution.
  *
  *
- *	$Id: mfdef.h,v 8.39 2009/11/06 00:57:08 ca Exp $
+ *	$Id: mfdef.h,v 8.40 2013-11-22 20:51:27 ca Exp $
  */
 
 /*
- *  mfdef.h -- Global definitions for mail filter and MTA.
- */
+**  mfdef.h -- Global definitions for mail filter and MTA.
+*/
 
 #ifndef _LIBMILTER_MFDEF_H
-#define	_LIBMILTER_MFDEF_H
+# define _LIBMILTER_MFDEF_H	1
 
 #ifdef __cplusplus
 extern "C" {
@@ -22,109 +22,109 @@
 #endif
 
 #ifndef SMFI_PROT_VERSION
-#define	SMFI_PROT_VERSION	6	/* MTA - libmilter protocol version */
+# define SMFI_PROT_VERSION	6	/* MTA - libmilter protocol version */
 #endif /* SMFI_PROT_VERSION */
 
 /* Shared protocol constants */
-#define	MILTER_LEN_BYTES	4	/* length of 32 bit integer in bytes */
-#define	MILTER_OPTLEN	(MILTER_LEN_BYTES * 3) /* length of options */
-#define	MILTER_CHUNK_SIZE	65535	/* body chunk size */
-#define	MILTER_MAX_DATA_SIZE	65535	/* default milter command data limit */
+#define MILTER_LEN_BYTES	4	/* length of 32 bit integer in bytes */
+#define MILTER_OPTLEN	(MILTER_LEN_BYTES * 3) /* length of options */
+#define MILTER_CHUNK_SIZE	65535	/* body chunk size */
+#define MILTER_MAX_DATA_SIZE	65535	/* default milter command data limit */
 
 #if _FFR_MDS_NEGOTIATE
-#define	MILTER_MDS_64K	((64 * 1024) - 1)
-#define	MILTER_MDS_256K	((256 * 1024) - 1)
-#define	MILTER_MDS_1M	((1024 * 1024) - 1)
+# define MILTER_MDS_64K	((64 * 1024) - 1)
+# define MILTER_MDS_256K ((256 * 1024) - 1)
+# define MILTER_MDS_1M	((1024 * 1024) - 1)
 #endif /* _FFR_MDS_NEGOTIATE */
 
 /* These apply to SMFIF_* flags */
-#define	SMFI_V1_ACTS	0x0000000FL	/* The actions of V1 filter */
-#define	SMFI_V2_ACTS	0x0000003FL	/* The actions of V2 filter */
-#define	SMFI_CURR_ACTS	0x000001FFL	/* actions of current version */
+#define SMFI_V1_ACTS	0x0000000FL	/* The actions of V1 filter */
+#define SMFI_V2_ACTS	0x0000003FL	/* The actions of V2 filter */
+#define SMFI_CURR_ACTS	0x000001FFL	/* actions of current version */
 
 /* address families */
-#define	SMFIA_UNKNOWN		'U'	/* unknown */
-#define	SMFIA_UNIX		'L'	/* unix/local */
-#define	SMFIA_INET		'4'	/* inet */
-#define	SMFIA_INET6		'6'	/* inet6 */
+#define SMFIA_UNKNOWN		'U'	/* unknown */
+#define SMFIA_UNIX		'L'	/* unix/local */
+#define SMFIA_INET		'4'	/* inet */
+#define SMFIA_INET6		'6'	/* inet6 */
 
 /* commands: don't use anything smaller than ' ' */
-#define	SMFIC_ABORT		'A'	/* Abort */
-#define	SMFIC_BODY		'B'	/* Body chunk */
-#define	SMFIC_CONNECT		'C'	/* Connection information */
-#define	SMFIC_MACRO		'D'	/* Define macro */
-#define	SMFIC_BODYEOB		'E'	/* final body chunk (End) */
-#define	SMFIC_HELO		'H'	/* HELO/EHLO */
-#define	SMFIC_QUIT_NC		'K'	/* QUIT but new connection follows */
-#define	SMFIC_HEADER		'L'	/* Header */
-#define	SMFIC_MAIL		'M'	/* MAIL from */
-#define	SMFIC_EOH		'N'	/* EOH */
-#define	SMFIC_OPTNEG		'O'	/* Option negotiation */
-#define	SMFIC_QUIT		'Q'	/* QUIT */
-#define	SMFIC_RCPT		'R'	/* RCPT to */
-#define	SMFIC_DATA		'T'	/* DATA */
-#define	SMFIC_UNKNOWN		'U'	/* Any unknown command */
+#define SMFIC_ABORT		'A'	/* Abort */
+#define SMFIC_BODY		'B'	/* Body chunk */
+#define SMFIC_CONNECT		'C'	/* Connection information */
+#define SMFIC_MACRO		'D'	/* Define macro */
+#define SMFIC_BODYEOB		'E'	/* final body chunk (End) */
+#define SMFIC_HELO		'H'	/* HELO/EHLO */
+#define SMFIC_QUIT_NC		'K'	/* QUIT but new connection follows */
+#define SMFIC_HEADER		'L'	/* Header */
+#define SMFIC_MAIL		'M'	/* MAIL from */
+#define SMFIC_EOH		'N'	/* EOH */
+#define SMFIC_OPTNEG		'O'	/* Option negotiation */
+#define SMFIC_QUIT		'Q'	/* QUIT */
+#define SMFIC_RCPT		'R'	/* RCPT to */
+#define SMFIC_DATA		'T'	/* DATA */
+#define SMFIC_UNKNOWN		'U'	/* Any unknown command */
 
 /* actions (replies) */
-#define	SMFIR_ADDRCPT		'+'	/* add recipient */
-#define	SMFIR_DELRCPT		'-'	/* remove recipient */
-#define	SMFIR_ADDRCPT_PAR	'2'	/* add recipient (incl. ESMTP args) */
-#define	SMFIR_SHUTDOWN		'4'	/* 421: shutdown (internal to MTA) */
-#define	SMFIR_ACCEPT		'a'	/* accept */
-#define	SMFIR_REPLBODY		'b'	/* replace body (chunk) */
-#define	SMFIR_CONTINUE		'c'	/* continue */
-#define	SMFIR_DISCARD		'd'	/* discard */
-#define	SMFIR_CHGFROM		'e'	/* change envelope sender (from) */
-#define	SMFIR_CONN_FAIL		'f'	/* cause a connection failure */
-#define	SMFIR_ADDHEADER		'h'	/* add header */
-#define	SMFIR_INSHEADER		'i'	/* insert header */
-#define	SMFIR_SETSYMLIST	'l'	/* set list of symbols (macros) */
-#define	SMFIR_CHGHEADER		'm'	/* change header */
-#define	SMFIR_PROGRESS		'p'	/* progress */
-#define	SMFIR_QUARANTINE	'q'	/* quarantine */
-#define	SMFIR_REJECT		'r'	/* reject */
-#define	SMFIR_SKIP		's'	/* skip */
-#define	SMFIR_TEMPFAIL		't'	/* tempfail */
-#define	SMFIR_REPLYCODE		'y'	/* reply code etc */
+#define SMFIR_ADDRCPT		'+'	/* add recipient */
+#define SMFIR_DELRCPT		'-'	/* remove recipient */
+#define SMFIR_ADDRCPT_PAR	'2'	/* add recipient (incl. ESMTP args) */
+#define SMFIR_SHUTDOWN		'4'	/* 421: shutdown (internal to MTA) */
+#define SMFIR_ACCEPT		'a'	/* accept */
+#define SMFIR_REPLBODY		'b'	/* replace body (chunk) */
+#define SMFIR_CONTINUE		'c'	/* continue */
+#define SMFIR_DISCARD		'd'	/* discard */
+#define SMFIR_CHGFROM		'e'	/* change envelope sender (from) */
+#define SMFIR_CONN_FAIL		'f'	/* cause a connection failure */
+#define SMFIR_ADDHEADER		'h'	/* add header */
+#define SMFIR_INSHEADER		'i'	/* insert header */
+#define SMFIR_SETSYMLIST	'l'	/* set list of symbols (macros) */
+#define SMFIR_CHGHEADER		'm'	/* change header */
+#define SMFIR_PROGRESS		'p'	/* progress */
+#define SMFIR_QUARANTINE	'q'	/* quarantine */
+#define SMFIR_REJECT		'r'	/* reject */
+#define SMFIR_SKIP		's'	/* skip */
+#define SMFIR_TEMPFAIL		't'	/* tempfail */
+#define SMFIR_REPLYCODE		'y'	/* reply code etc */
 
 /* What the MTA can send/filter wants in protocol */
-#define	SMFIP_NOCONNECT 0x00000001L	/* MTA should not send connect info */
-#define	SMFIP_NOHELO	0x00000002L	/* MTA should not send HELO info */
-#define	SMFIP_NOMAIL	0x00000004L	/* MTA should not send MAIL info */
-#define	SMFIP_NORCPT	0x00000008L	/* MTA should not send RCPT info */
-#define	SMFIP_NOBODY	0x00000010L	/* MTA should not send body */
-#define	SMFIP_NOHDRS	0x00000020L	/* MTA should not send headers */
-#define	SMFIP_NOEOH	0x00000040L	/* MTA should not send EOH */
-#define	SMFIP_NR_HDR	0x00000080L	/* No reply for headers */
-#define	SMFIP_NOHREPL	SMFIP_NR_HDR	/* No reply for headers */
-#define	SMFIP_NOUNKNOWN 0x00000100L /* MTA should not send unknown commands */
-#define	SMFIP_NODATA    0x00000200L	/* MTA should not send DATA */
-#define	SMFIP_SKIP	0x00000400L	/* MTA understands SMFIS_SKIP */
-#define	SMFIP_RCPT_REJ	0x00000800L /* MTA should also send rejected RCPTs */
-#define	SMFIP_NR_CONN	0x00001000L	/* No reply for connect */
-#define	SMFIP_NR_HELO	0x00002000L	/* No reply for HELO */
-#define	SMFIP_NR_MAIL	0x00004000L	/* No reply for MAIL */
-#define	SMFIP_NR_RCPT	0x00008000L	/* No reply for RCPT */
-#define	SMFIP_NR_DATA	0x00010000L	/* No reply for DATA */
-#define	SMFIP_NR_UNKN	0x00020000L	/* No reply for UNKN */
-#define	SMFIP_NR_EOH	0x00040000L	/* No reply for eoh */
-#define	SMFIP_NR_BODY	0x00080000L	/* No reply for body chunk */
-#define	SMFIP_HDR_LEADSPC	0x00100000L /* header value leading space */
-#define	SMFIP_MDS_256K	0x10000000L	/* MILTER_MAX_DATA_SIZE=256K */
-#define	SMFIP_MDS_1M	0x20000000L	/* MILTER_MAX_DATA_SIZE=1M */
-/* #define SMFIP_	0x40000000L	reserved: see SMFI_INTERNAL */
+#define SMFIP_NOCONNECT 0x00000001L	/* MTA should not send connect info */
+#define SMFIP_NOHELO	0x00000002L	/* MTA should not send HELO info */
+#define SMFIP_NOMAIL	0x00000004L	/* MTA should not send MAIL info */
+#define SMFIP_NORCPT	0x00000008L	/* MTA should not send RCPT info */
+#define SMFIP_NOBODY	0x00000010L	/* MTA should not send body */
+#define SMFIP_NOHDRS	0x00000020L	/* MTA should not send headers */
+#define SMFIP_NOEOH	0x00000040L	/* MTA should not send EOH */
+#define SMFIP_NR_HDR	0x00000080L	/* No reply for headers */
+#define SMFIP_NOHREPL	SMFIP_NR_HDR	/* No reply for headers */
+#define SMFIP_NOUNKNOWN 0x00000100L /* MTA should not send unknown commands */
+#define SMFIP_NODATA    0x00000200L	/* MTA should not send DATA */
+#define SMFIP_SKIP	0x00000400L	/* MTA understands SMFIS_SKIP */
+#define SMFIP_RCPT_REJ	0x00000800L /* MTA should also send rejected RCPTs */
+#define SMFIP_NR_CONN	0x00001000L	/* No reply for connect */
+#define SMFIP_NR_HELO	0x00002000L	/* No reply for HELO */
+#define SMFIP_NR_MAIL	0x00004000L	/* No reply for MAIL */
+#define SMFIP_NR_RCPT	0x00008000L	/* No reply for RCPT */
+#define SMFIP_NR_DATA	0x00010000L	/* No reply for DATA */
+#define SMFIP_NR_UNKN	0x00020000L	/* No reply for UNKN */
+#define SMFIP_NR_EOH	0x00040000L	/* No reply for eoh */
+#define SMFIP_NR_BODY	0x00080000L	/* No reply for body chunk */
+#define SMFIP_HDR_LEADSPC 0x00100000L	/* header value leading space */
+#define SMFIP_MDS_256K	0x10000000L	/* MILTER_MAX_DATA_SIZE=256K */
+#define SMFIP_MDS_1M	0x20000000L	/* MILTER_MAX_DATA_SIZE=1M */
+/* #define SMFIP_	0x40000000L	reserved: see SMFI_INTERNAL*/
 
-#define	SMFI_V1_PROT	0x0000003FL	/* The protocol of V1 filter */
-#define	SMFI_V2_PROT	0x0000007FL	/* The protocol of V2 filter */
+#define SMFI_V1_PROT	0x0000003FL	/* The protocol of V1 filter */
+#define SMFI_V2_PROT	0x0000007FL	/* The protocol of V2 filter */
 
 /* all defined protocol bits */
-#define	SMFI_CURR_PROT	0x001FFFFFL
+#define SMFI_CURR_PROT	0x001FFFFFL
 
 /* internal flags: only used between MTA and libmilter */
-#define	SMFI_INTERNAL	0x70000000L
+#define SMFI_INTERNAL	0x70000000L
 
 #if _FFR_MILTER_CHECK
-#define	SMFIP_TEST	0x80000000L
+# define SMFIP_TEST	0x80000000L
 #endif /* _FFR_MILTER_CHECK */
 
 #ifdef __cplusplus
--- old/usr/src/cmd/sendmail/include/libmilter/milter.h	Sat Feb  6 15:36:30 2016
+++ new/usr/src/cmd/sendmail/include/libmilter/milter.h	Sat Feb  6 15:36:30 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1999-2003, 2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1999-2003, 2006 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,11 +7,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: milter.h,v 8.41 2006/05/22 23:23:55 ca Exp $
+ *	$Id: milter.h,v 8.42 2013-11-22 20:51:27 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  MILTER.H -- Global definitions for mail filter.
 */
--- old/usr/src/cmd/sendmail/include/libsmdb/smdb.h	Sat Feb  6 15:36:30 2016
+++ new/usr/src/cmd/sendmail/include/libsmdb/smdb.h	Sat Feb  6 15:36:30 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1999-2002 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1999-2002 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,12 +6,10 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: smdb.h,v 8.40.2.1 2002/10/05 17:04:51 ca Exp $
+ *	$Id: smdb.h,v 8.42 2013-11-22 20:51:28 ca Exp $
  *
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef _SMDB_H_
 # define _SMDB_H_
 
--- old/usr/src/cmd/sendmail/include/sendmail/mailstats.h	Sat Feb  6 15:36:30 2016
+++ new/usr/src/cmd/sendmail/include/sendmail/mailstats.h	Sat Feb  6 15:36:30 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998, 1999 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998, 1999 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -10,11 +10,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: mailstats.h,v 8.19 2002/06/27 22:47:22 gshapiro Exp $
+ *	$Id: mailstats.h,v 8.20 2013-11-22 20:51:30 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #define STAT_VERSION	4
 #define STAT_MAGIC	0x1B1DE
 
--- old/usr/src/cmd/sendmail/include/sendmail/pathnames.h	Sat Feb  6 15:36:30 2016
+++ new/usr/src/cmd/sendmail/include/sendmail/pathnames.h	Sat Feb  6 15:36:30 2016
@@ -1,5 +1,5 @@
 /*-
- * Copyright (c) 1998-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1990, 1993
  *	The Regents of the University of California.  All rights reserved.
@@ -9,11 +9,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: pathnames.h,v 8.35 2001/03/23 22:09:44 ca Exp $
+ *	$Id: pathnames.h,v 8.37 2013-11-22 20:51:30 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef SM_PATHNAMES_H
 # define SM_PATHNAMES_H
 
@@ -39,7 +37,7 @@
 #  endif /* ! _PATH_SENDMAIL */
 
 #  ifndef _PATH_MAILDIR
-#   define _PATH_MAILDIR		"/var/spool/mail"
+#   define _PATH_MAILDIR	"/var/spool/mail"
 #  endif /* ! _PATH_MAILDIR */
 
 #  ifndef _PATH_LOCTMP
--- old/usr/src/cmd/sendmail/include/sendmail/sendmail.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sendmail/sendmail.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -10,11 +10,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: sendmail.h,v 8.68 2002/07/01 22:18:53 gshapiro Exp $
+ *	$Id: sendmail.h,v 8.69 2013-11-22 20:51:30 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  SENDMAIL.H -- Global definitions for sendmail.
 */
--- old/usr/src/cmd/sendmail/include/sm/assert.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/assert.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: assert.h,v 1.10 2001/06/07 20:04:53 ca Exp $
+ *	$Id: assert.h,v 1.11 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm abnormal program termination and assertion checking
 **  See libsm/assert.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/bdb.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/bdb.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2002, 2003 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2002, 2003 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -7,11 +7,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: bdb.h,v 1.1.2.4 2003/03/06 16:27:38 ca Exp $
+ *	$Id: bdb.h,v 1.5 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef	SM_BDB_H
 #define SM_BDB_H
 
--- old/usr/src/cmd/sendmail/include/sm/bitops.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/bitops.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -10,11 +10,9 @@
  * the sendmail distribution.
  *
  *
- *	$Id: bitops.h,v 1.2 2001/09/22 22:05:42 ca Exp $
+ *	$Id: bitops.h,v 1.3 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef	SM_BITOPS_H
 # define SM_BITOPS_H
 
--- old/usr/src/cmd/sendmail/include/sm/cdefs.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/cdefs.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: cdefs.h,v 1.15.2.1 2003/12/05 22:44:17 ca Exp $
+ *	$Id: cdefs.h,v 1.17 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm C language portability macros
 **  See libsm/cdefs.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/cf.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/cf.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: cf.h,v 1.2 2001/03/08 03:23:07 ca Exp $
+ *	$Id: cf.h,v 1.3 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef SM_CF_H
 # define SM_CF_H
 
--- old/usr/src/cmd/sendmail/include/sm/clock.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/clock.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2001, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2001, 2004 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -9,11 +9,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: clock.h,v 1.12 2004/08/03 19:57:21 ca Exp $
+ *	$Id: clock.h,v 1.14 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  CLOCK.H -- for co-ordinating timed events
 */
@@ -61,7 +59,7 @@
 /*
 **  SM_SETEVENT -- set an event to happen at a specific time in seconds.
 **
-**	Translates the seconds into millseconds and calls sm_seteventm()
+**	Translates the seconds into milliseconds and calls sm_seteventm()
 **	to get a specific event to happen in the future at a specific time.
 **
 **	Parameters:
--- old/usr/src/cmd/sendmail/include/sm/conf.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/conf.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2009 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2011 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  * Copyright (c) 1983, 1995-1997 Eric P. Allman.  All rights reserved.
  * Copyright (c) 1988, 1993
@@ -10,15 +10,10 @@
  * the sendmail distribution.
  *
  *
- *	$Id: conf.h,v 1.139 2009/06/16 23:41:32 ca Exp $
+ *	$Id: conf.h,v 1.147 2013-11-22 20:51:31 ca Exp $
  */
 
 /*
- * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
- * Use is subject to license terms.
- */
-
-/*
 **  CONF.H -- All user-configurable parameters for sendmail
 **
 **	Send updates to Sendmail.ORG so they will be
@@ -386,6 +381,12 @@
 #   ifndef __svr4__
 #    define __svr4__		/* use all System V Release 4 defines below */
 #   endif /* ! __svr4__ */
+#   if SOLARIS >= 21100
+#    include <paths.h>
+#   endif /* SOLARIS >= 21100 */
+#   ifndef _PATH_VARRUN
+#    define _PATH_VARRUN	"/var/run/"
+#   endif /* _PATH_VARRUN */
 #   define GIDSET_T	gid_t
 #   define USE_SA_SIGACTION	1	/* use sa_sigaction field */
 #   define BROKEN_PTHREAD_SLEEP	1	/* sleep after pthread_create() fails */
@@ -448,7 +449,7 @@
 #   endif /* SOLARIS >= 20700 || (SOLARIS < 10000 && SOLARIS >= 207) */
 #   if SOLARIS >= 20800 || (SOLARIS < 10000 && SOLARIS >= 208)
 #    undef _PATH_SENDMAILPID	/* tmpfs /var/run added in 2.8 */
-#    define _PATH_SENDMAILPID	"/var/run/sendmail.pid"
+#    define _PATH_SENDMAILPID	_PATH_VARRUN "sendmail.pid"
 #    ifndef SMRSH_CMDDIR
 #     define SMRSH_CMDDIR	"/var/adm/sm.bin"
 #    endif /* ! SMRSH_CMDDIR */
@@ -466,6 +467,8 @@
 #   if SOLARIS >= 21100 || (SOLARIS < 10000 && SOLARIS >= 211)
 #    define GETLDAPALIASBYNAME_VERSION 2	/* changed in S11 */
 #    define HAVE_NANOSLEEP	1	/* moved from librt to libc in S11 */
+#    define SOCKADDR_LEN_T	socklen_t	/* arg#3 to accept, getsockname */
+#    define SOCKOPT_LEN_T	socklen_t	/* arg#5 to getsockopt */
 #   endif /* SOLARIS >= 21100 || (SOLARIS < 10000 && SOLARIS >= 211) */
 #   ifndef HASGETUSERSHELL
 #    define HASGETUSERSHELL 0	/* getusershell(3) causes core dumps pre-2.7 */
@@ -1019,6 +1022,9 @@
 #    if __FreeBSD_version >= 222000	/* 2.2.2-release and later */
 #     define HASSETUSERCONTEXT	1	/* BSDI-style login classes */
 #    endif /* __FreeBSD_version >= 222000 */
+#    if __FreeBSD_version >= 300000	/* 3.0.0-release and later */
+#     define HAVE_NANOSLEEP	1	/* has nanosleep(2) */
+#    endif /* __FreeBSD_version >= 300000 */
 #    if __FreeBSD_version >= 330000	/* 3.3.0-release and later */
 #     ifndef SMRSH_CMDDIR
 #      define SMRSH_CMDDIR	"/usr/libexec/sm.bin"
@@ -1060,6 +1066,9 @@
 #   if OpenBSD >= 200505
 #    undef NETISO	/* iso.h removed in 3.7 */
 #   endif /* OpenBSD >= 200505 */
+#   if OpenBSD >= 200800
+#    define HAVE_NANOSLEEP	1	/* has nanosleep(2) */
+#   endif /* OpenBSD >= 200800 */
 #  endif /* defined(__OpenBSD__) */
 # endif /* defined(__DragonFly__) || defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__) */
 
@@ -1523,6 +1532,8 @@
 #   if defined(__GLIBC__) && defined(__GLIBC_MINOR__)
 #    define GLIBC_VERSION ((__GLIBC__ << 8) + __GLIBC_MINOR__)
 #    if (GLIBC_VERSION >= 0x201)
+#     define SOCKADDR_LEN_T     socklen_t
+#     define SOCKOPT_LEN_T      socklen_t
 #     undef IPPROTO_ICMPV6	/* linux #defines, glibc enums */
 #    else /* (GLIBC_VERSION >= 0x201) */
 #     include <linux/in6.h>	/* IPv6 support */
@@ -2813,7 +2824,7 @@
 
 # if _FFR_LINUX_MHNL && defined(__linux__) && MAXHOSTNAMELEN < 255
    /*
-   **  override Linux wierdness: a FQHN can be 255 chars long
+   **  override Linux weirdness: a FQHN can be 255 chars long
    **  SUSv3 requires HOST_NAME_MAX ("Maximum length of a host
    **  name (not including the terminating null) as returned from the
    **  gethostname() function.") to be at least 255.  c.f.:
@@ -2954,6 +2965,11 @@
 #  define SM_INT32	int32_t
 # endif /* ! SM_INT32 */
 
+/* XXX  16 bit type */
+# ifndef SM_UINT16
+#  define SM_UINT16	uint16_t
+# endif /* ! SM_UINT16 */
+
 /*
 **  SVr4 and similar systems use different routines for setjmp/longjmp
 **  with signal support
@@ -3036,4 +3052,6 @@
 # endif /* ! SM_ALIGN_SIZE */
 # define SM_ALIGN_BITS (SM_ALIGN_SIZE - 1)
 
+char *sm_inet6_ntop __P((const void *, char *, size_t));
+
 #endif /* ! SM_CONF_H */
--- old/usr/src/cmd/sendmail/include/sm/config.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/config.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2003 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2003 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: config.h,v 1.47 2004/10/26 21:41:07 gshapiro Exp $
+ *	$Id: config.h,v 1.49 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm configuration macros.
 **  The values of these macros are platform dependent.
@@ -26,14 +24,16 @@
 
 /*
 **  SM_CONF_STDBOOL_H is 1 if <stdbool.h> exists
+**
+**  Note, unlike gcc, clang doesn't apply full prototypes to K&R definitions.
 */
 
 # ifndef SM_CONF_STDBOOL_H
-#  if defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
+#  if !defined(__clang__) && defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
 #   define SM_CONF_STDBOOL_H		1
-#  else /* defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L */
+#  else /* !defined(__clang__) && defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L */
 #   define SM_CONF_STDBOOL_H		0
-#  endif /* defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L */
+#  endif /* !defined(__clang__) && defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L */
 # endif /* ! SM_CONF_STDBOOL_H */
 
 /*
--- old/usr/src/cmd/sendmail/include/sm/debug.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/debug.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000, 2001, 2003 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000, 2001, 2003 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: debug.h,v 1.16 2003/01/10 00:26:06 ca Exp $
+ *	$Id: debug.h,v 1.17 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm debugging and tracing
 **  See libsm/debug.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/errstring.h	Sat Feb  6 15:36:31 2016
+++ new/usr/src/cmd/sendmail/include/sm/errstring.h	Sat Feb  6 15:36:31 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 1998-2001, 2003 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 1998-2001, 2003 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: errstring.h,v 1.10 2007/03/21 23:56:19 ca Exp $
+ *	$Id: errstring.h,v 1.11 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  Error codes.
 */
--- old/usr/src/cmd/sendmail/include/sm/exc.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/exc.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: exc.h,v 1.23 2001/06/07 20:04:53 ca Exp $
+ *	$Id: exc.h,v 1.24 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm exception handling
 **  See libsm/exc.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/fdset.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/fdset.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001, 2002 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001, 2002 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: fdset.h,v 1.3.10.2 2002/12/10 04:02:25 ca Exp $
+ *	$Id: fdset.h,v 1.6 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifndef	SM_FDSET_H
 # define SM_FDSET_H
 
--- old/usr/src/cmd/sendmail/include/sm/gen.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/gen.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: gen.h,v 1.23 2003/11/04 18:51:54 ca Exp $
+ *	$Id: gen.h,v 1.24 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  libsm general definitions
 **  See libsm/gen.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/heap.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/heap.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001, 2006 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001, 2006 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: heap.h,v 1.23 2006/08/15 00:53:46 ca Exp $
+ *	$Id: heap.h,v 1.24 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  Sendmail debugging memory allocation package.
 **  See libsm/heap.html for documentation.
--- old/usr/src/cmd/sendmail/include/sm/io.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/io.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2002, 2004 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2002, 2004, 2013 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  * Copyright (c) 1990
  * 	 The Regents of the University of California.  All rights reserved.
@@ -11,11 +11,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: io.h,v 1.24 2004/03/03 19:14:49 ca Exp $
+ *	$Id: io.h,v 1.26 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*-
  *	@(#)stdio.h	5.17 (Berkeley) 6/3/91
  */
@@ -271,7 +269,7 @@
 SM_FILE_T *sm_io_dup __P((SM_FILE_T *));
 int	 sm_io_eof __P((SM_FILE_T *));
 int	 sm_io_error __P((SM_FILE_T *));
-char	*sm_io_fgets __P((SM_FILE_T *, int, char *, int));
+int	 sm_io_fgets __P((SM_FILE_T *, int, char *, int));
 int	 sm_io_flush __P((SM_FILE_T *, int SM_NONVOLATILE));
 
 int PRINTFLIKE(3, 4)
--- old/usr/src/cmd/sendmail/include/sm/ldap.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/ldap.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2001-2003, 2005-2007 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2001-2003, 2005-2007 Proofpoint, Inc. and its suppliers.
  *      All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,7 +6,7 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: ldap.h,v 1.34 2008/11/17 21:02:54 ca Exp $
+ *	$Id: ldap.h,v 1.35 2013-11-22 20:51:31 ca Exp $
  */
 
 #ifndef	SM_LDAP_H
--- old/usr/src/cmd/sendmail/include/sm/limits.h	Sat Feb  6 15:36:32 2016
+++ new/usr/src/cmd/sendmail/include/sm/limits.h	Sat Feb  6 15:36:32 2016
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2000-2001 Sendmail, Inc. and its suppliers.
+ * Copyright (c) 2000-2001 Proofpoint, Inc. and its suppliers.
  *	All rights reserved.
  *
  * By using this file, you agree to the terms and conditions set
@@ -6,11 +6,9 @@
  * forth in the LICENSE file which can be found at the top level of
  * the sendmail distribution.
  *
- *	$Id: limits.h,v 1.6 2001/03/08 03:23:08 ca Exp $
+ *	$Id: limits.h,v 1.7 2013-11-22 20:51:31 ca Exp $
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
 **  <sm/limits.h>
 **  This header file is a portability wrapper for <limits.h>.
